ros-rolling-tf2-ros (0.31.2-1jammy) jammy; urgency=high

  * Destroy callback group before node (#595 <https://github.com/ros2/geometry2/issues/595>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-tf2-ros (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-tf2-ros (0.31.0-1jammy) jammy; urgency=high

  * Enable TransformListener node-based constructor in Intra-process enabled components (#572 <https://github.com/ros2/geometry2/issues/572>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-tf2-ros (0.30.0-1jammy) jammy; urgency=high

  * Fix use-after-free bug in BufferServer::cancelCB (#579 <https://github.com/ros2/geometry2/issues/579>)
  * Update the demos to C++17. (#578 <https://github.com/ros2/geometry2/issues/578>)
  * add constructor to static tf broadcaster accepting node interfaces (#576 <https://github.com/ros2/geometry2/issues/576>)
  * Contributors: Alberto Soragna, Alexander Hans, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-tf2-ros (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Nov 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.28.0-1jammy) jammy; urgency=high

  * Switching from sstream to c string formatting to fix ros arg issue (#557 <https://github.com/ros2/geometry2/issues/557>)
  * allow construction of tf broadcaster from node object (not a pointer) (#555 <https://github.com/ros2/geometry2/issues/555>)
  * Allow to construct TransformBroadcaster and TransformListener from node interfaces (#552 <https://github.com/ros2/geometry2/issues/552>)
  * Contributors: Alberto Soragna, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.27.0-1jammy) jammy; urgency=high

  * Suppress spam from calling canTransform (#529 <https://github.com/ros2/geometry2/issues/529>)
  * Contributors: Gonzo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Aug 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Jun 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.23.0-1jammy) jammy; urgency=high

  * use dedicated callback group and executor to isolate timer (#447 <https://github.com/ros2/geometry2/issues/447>)
  * Adding shared pointer definition to tf2 buffer (#508 <https://github.com/ros2/geometry2/issues/508>)
  * fix for a basic logic (#510 <https://github.com/ros2/geometry2/issues/510>)
  * Fix precision loss from using rclcpp::Time::seconds() (#511 <https://github.com/ros2/geometry2/issues/511>)
  * Contributors: Chen Lihui, Kenji Brameld, Steve Macenski, Zhenpeng Ge

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.22.0-1jammy) jammy; urgency=high

  * clear relative callback of Buffer if MessageFilter is destroyed (#490 <https://github.com/ros2/geometry2/issues/490>)
  * More info in tf2_echo output (#468 <https://github.com/ros2/geometry2/issues/468>)
  * Contributors: Chen Lihui, simulacrus

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-tf2-ros (0.20.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#486 <https://github.com/ros2/geometry2/issues/486>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-tf2-ros (0.19.0-1jammy) jammy; urgency=high

  * More Intuitive CLI for Static Transform Publisher (#392 <https://github.com/ros2/geometry2/issues/392>)
  * Reduce transform listener nodes (#442 <https://github.com/ros2/geometry2/issues/442>)
  * tf2_ros: Fix deprecated subscriber callbacks (#448 <https://github.com/ros2/geometry2/issues/448>)
  * Contributors: Abrar Rahman Protyasha, Hunter L. Allen, gezp

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-rolling-tf2-ros (0.18.0-1jammy) jammy; urgency=high

  * Fix tf2_echo does not work with ros-args (#407 <https://github.com/ros2/geometry2/issues/407>) (#408 <https://github.com/ros2/geometry2/issues/408>)
  * Contributors: PGotzmann

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-rolling-tf2-ros (0.17.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-tf2-ros (0.17.0-1jammy) jammy; urgency=high

  * Guard against access to null node pointer (#393 <https://github.com/ros2/geometry2/issues/393>)
  * Allow to reconfigure durability for /tf topic broadcaster/listener (#383 <https://github.com/ros2/geometry2/issues/383>)
  * Fix the rcl type used in the time jump. (#391 <https://github.com/ros2/geometry2/issues/391>)
  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * fix accessing freed resources (#386 <https://github.com/ros2/geometry2/issues/386>)
  * Allow reconfiguring qos of tf and tf_static topics through parameters (#381 <https://github.com/ros2/geometry2/issues/381>)
  * Replace ROS_* logging macros and use RCLCPP_* instead (#380 <https://github.com/ros2/geometry2/issues/380>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Santiago Paunovic, Jacob Perron, Kazunari Tanaka

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-tf2-ros (0.16.0-1jammy) jammy; urgency=high

  * Improve message filters error messages (#364 <https://github.com/ros2/geometry2/issues/364>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-tf2-ros (0.15.1-1jammy) jammy; urgency=high

  * Clarify the role of child_frame_id and header.frame_id in the documentation. (#345 <https://github.com/ros2/geometry2/issues/345>)
  * Contributors: Vikas Dhiman

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.15.0-1jammy) jammy; urgency=high

  * Remove usage of deprecated rclcpp::Duration constructor (#340 <https://github.com/ros2/geometry2/issues/340>)
  * Remove messages_count member from tf2_ros::MessageFilter. (#335 <https://github.com/ros2/geometry2/issues/335>)
  * Style fixup in tf2_ros. (#325 <https://github.com/ros2/geometry2/issues/325>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.14.1-1jammy) jammy; urgency=high

  * Update goal response callback signature (#323 <https://github.com/ros2/geometry2/issues/323>)
  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.14.0-1jammy) jammy; urgency=high

  * Fixed memory leak in Buffer::waitForTransform (#281 <https://github.com/ros2/geometry2/issues/281>)
  * fix time-reset test with Connext (#306 <https://github.com/ros2/geometry2/issues/306>)
  * reenable FrameGraph server (#198 <https://github.com/ros2/geometry2/issues/198>)
  * Use the usual style of parameters for static_transform_program (#300 <https://github.com/ros2/geometry2/issues/300>)
  * Make static_transform_broadcaster consistent with its command line description (#294 <https://github.com/ros2/geometry2/issues/294>)
  * Avoid using invalid std::list iterators (#293 <https://github.com/ros2/geometry2/issues/293>)
  * Generate callbacks after updating message_ (#274 <https://github.com/ros2/geometry2/issues/274>)
  * Moved unique_lock of messages_mutex_ to guarantee pointer (#279 <https://github.com/ros2/geometry2/issues/279>)
  * Fix dependencies in tf2_ros. (#269 <https://github.com/ros2/geometry2/issues/269>)
  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Hunter L. Allen, Martin Ganeff, Michael Carroll, ymd-stella

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.13.4-1jammy) jammy; urgency=high

  * export targets in addition to include directories / libraries (#271 <https://github.com/ros2/geometry2/issues/271>)
  * Add missing virtual destructors (#272 <https://github.com/ros2/geometry2/issues/272>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.13.3-1jammy) jammy; urgency=high

  * Fixed in Exception constructor tf2_ros (#267 <https://github.com/ros2/geometry2/issues/267>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.13.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.13.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.13.0-1jammy) jammy; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * avoid more deprecations (#255 <https://github.com/ros2/geometry2/issues/255>)
  * create_timer takes shared pointers (#251 <https://github.com/ros2/geometry2/issues/251>)
  * Improve tf2_echo and tf2_monitor messages while waiting for data (#254 <https://github.com/ros2/geometry2/issues/254>)
  * Add missing visibility header include (#246 <https://github.com/ros2/geometry2/issues/246>)
  * Fix -Wrange-loop-construct (#245 <https://github.com/ros2/geometry2/issues/245>)
    ```
    --- stderr: tf2_ros
    /opt/ros/master/src/ros2/geometry2/tf2_ros/test/test_buffer.cpp:84:21: warning: loop variable 'elem' creates a copy from type 'const std::pair<const unsigned long, std::function<void (const unsigned long &)> >' [-Wrange-loop-construct]
    for (const auto elem : timer_to_callback_map\_) {
    ^
    /opt/ros/master/src/ros2/geometry2/tf2_ros/test/test_buffer.cpp:84:10: note: use reference type 'const std::pair<const unsigned long, std::function<void (const unsigned long &)> > &' to prevent copying
    for (const auto elem : timer_to_callback_map\_) {
    ^~~~~~~~~~~~~~~~~
    &
    1 warning generated.
    ---
    ```
  * Remove TODO (#234 <https://github.com/ros2/geometry2/issues/234>)
    The TODO is done; The publisher is using QoS durability setting 'transient local' which is the closest thing to the 'latched' concept in ROS 1.
    Signed-off-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * Remove virtual keyword from overridden functions (#214 <https://github.com/ros2/geometry2/issues/214>)
    Signed-off-by: Hunter L. Allen <mailto:hunterlallen@protonmail.com>
  * message filter fix (#216 <https://github.com/ros2/geometry2/issues/216>)
    * Fixed meesage_filter add method
    * removed using builtin_interfaces::msg::Time in tf2_ros
  * Porting more tests to tf2_ros (#202 <https://github.com/ros2/geometry2/issues/202>)
    * Added more tests to tf2_ros
    * improving tf2_ros time_reset_test
    * tf2_ros fixed failed test_buffer_client.cpp
    * added some EXPECT to listener unittest
    * reviews
    * Update listener_unittest.cpp
    * fixed tf2_ros time_reset_test
    * tf2_ros removed ROS launch files
    * Added TODO to fix test_buffer_client in CI
    * tf2_ros added feedback
  * Add static transform component (#182 <https://github.com/ros2/geometry2/issues/182>)
    * Create a static transform component for composition
    Signed-off-by: Hunter L. Allen <mailto:hunterlallen@protonmail.com>
    * Suffix node name with randomly generated alpha-numeric string
    Signed-off-by: Hunter L. Allen <mailto:hunterlallen@protonmail.com>
    * Fix windows build
    Signed-off-by: Hunter L. Allen <mailto:hunterlallen@protonmail.com>
    * Switch to much more readable and more performant implementation by @clalancette
    Signed-off-by: Hunter L. Allen <mailto:hunterlallen@protonmail.com>
  * Adding support for view_frame (#192 <https://github.com/ros2/geometry2/issues/192>)
    * Adding tf2_tools support for view_frames
    * Changelog
    * tf2_tools 0.12.1 package version
    * tf2_tools common linters
    * tf2_tools changelog Forthcoming
    * tf2_tools log error and destroy client and node when a exception raised
    * tf2_tools 0.12.4 package version
    * tf2_tools revert some changes
    * tf2_tools - reduce changes
    * tf2_tools: finally block and passing the time instead of the node
    * tf2_tools: buffer with less arguments
    * tf2_tools: Fix condition
  * Contributors: Alejandro Hernández Cordero, Dan Rose, Hunter L. Allen, Jacob Perron, Karsten Knese, Shane Loretz, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-tf2-ros (0.12.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.12.3-1jammy) jammy; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Print out the name of the signalFailure reason instead of just its enum value (#186 <https://github.com/ros2/geometry2/issues/186>)
  * Contributors: Emerson Knapp, Vasilii Artemev

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.12.2-1jammy) jammy; urgency=high

  * Fix tf2_monitor subscriptions QoS settings. (#196 <https://github.com/ros2/geometry2/issues/196>)
  * Contributors: Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.12.1-1jammy) jammy; urgency=high

  * Add convenience methods using rclcpp time types (#180 <https://github.com/ros2/geometry2/issues/180>)
  * Don't assume quaternions init to all zeros
  * Make BufferClient destructor virtual
  * Contributors: Josh Langsfeld, Shane Loretz, Thomas Moulard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.12.0-1jammy) jammy; urgency=high

  * Simulate work in the acceptedCallback.
  * Make Windows Debug to run the correct python executable.
  * Make BufferInterface destructor virtual.
  * Remove unnecessary and blacklisted actionlib_msgs dependency.
  * More test fixes for tf2_ros python.
  * class Clock is in clock not timer.
  * tf2_ros is not built for Python (#99 <https://github.com/ros2/geometry2/issues/99>)
  * Migrate buffer action server to ROS 2
  * Add conversion functions for durations
  * Make /tf_static use transient_local durability (#160 <https://github.com/ros2/geometry2/issues/160>)
  * Force explicit --ros-args in NodeOptions::arguments(). (#162 <https://github.com/ros2/geometry2/issues/162>)
  * Use of -r/--remap flags where appropriate. (#159 <https://github.com/ros2/geometry2/issues/159>)
  * Include tf2 headers in message_filter.h (#157 <https://github.com/ros2/geometry2/issues/157>)
  * Use ament_target_dependencies to ensure correct dependency order (#156 <https://github.com/ros2/geometry2/issues/156>)
  * Make sure that TransformListener's node gets a unique name (#129 <https://github.com/ros2/geometry2/issues/129>)
  * Fix compiler warning (#148 <https://github.com/ros2/geometry2/issues/148>)
  * Do not timeout when waiting for transforms (#146 <https://github.com/ros2/geometry2/issues/146>)
  * Fix race between timeout and transform ready callback (#143 <https://github.com/ros2/geometry2/issues/143>)
  * Fix high CPU - Use executor to spin and stop node in tf_listener thread (#119 <https://github.com/ros2/geometry2/issues/119>)
  * Catch polymorphic exceptions by reference (#138 <https://github.com/ros2/geometry2/issues/138>)
  * Add missing export build dependencies (#135 <https://github.com/ros2/geometry2/issues/135>)
  * avoid delete-non-virtual-dtor warning (#134 <https://github.com/ros2/geometry2/issues/134>)
  * Template tf2_ros::MessageFilter on the buffer type
  * Add pure virtual interface tf2_ros::AsyncBufferInterface
  * Add pure virtual interface tf2_ros::CreateTimerInterface
  * Allow tf2_monitor to be run with ROS command line args (#122 <https://github.com/ros2/geometry2/issues/122>)
  * Drop misleading ROS_* logging macros from tf2_monitor (#123 <https://github.com/ros2/geometry2/issues/123>)
  * Fix the MessageFilter init order. (#120 <https://github.com/ros2/geometry2/issues/120>)
  * Contributors: Chris Lalancette, Dan Rose, Jacob Perron, Karsten Knese, Michel Hidalgo, Scott K Logan, Shane Loretz, Vinnam Kim, bpwilcox, evshary

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.11.3-1jammy) jammy; urgency=high

  * stop spinning TransformListener thread node in destructor (#114 <https://github.com/ros2/geometry2/issues/114>)
  * Store dedicated transform listener thread as a std::unique_ptr (#111 <https://github.com/ros2/geometry2/issues/111>)
  * enable pedantic for tf2_ros (#115 <https://github.com/ros2/geometry2/issues/115>)
  * Contributors: Hunter L. Allen, Karsten Knese, bpwilcox

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 May 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.11.2-1jammy) jammy; urgency=high

  * Remove stray semicolon which causes compiler error when using -Werror=pedantic (#112 <https://github.com/ros2/geometry2/issues/112>)
  * Contributors: Michael Jeronimo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.11.1-1jammy) jammy; urgency=high

  * use node interfaces throughout tf2_ros (#108 <https://github.com/ros2/geometry2/issues/108>)
  * changes to avoid deprecated API's (#107 <https://github.com/ros2/geometry2/issues/107>)
  * Fix call to create_publisher after API changed (#105 <https://github.com/ros2/geometry2/issues/105>)
  * Use node interfaces for static transform broadcaster (#104 <https://github.com/ros2/geometry2/issues/104>)
  * Contributors: Emerson Knapp, Karsten Knese, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 09 May 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.11.0-1jammy) jammy; urgency=high

  * Updated to use node inteface pointers in the MessageFilter class. (#96 <https://github.com/ros2/geometry2/pull/96>)
  * Updated message_filter.h. (#91 <https://github.com/ros2/geometry2/issues/91>)
  * Contributors: Michael Jeronimo, Sagnik Basu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-rolling-tf2-ros (0.10.1-1jammy) jammy; urgency=high

  * Allow static_transform_publisher to be run with ros arguments ros2`#80 <https://github.com/ros2/geometry2/issues/80>`_ (#82 <https://github.com/ros2/geometry2/issues/82>)
  * Contributors: Lucas Walter

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-tf2-ros (0.10.0-1jammy) jammy; urgency=high

  * Port tf2 ros message filter with ros2 tf2 and message filters (#81 <https://github.com/ros2/geometry2/issues/81>)
    * Port tf2 message filter to ros2
    - remove APIs to node callback queue due to no callback queue
    in ros2 now
    - Change failure callback register with failure prompting due to
    no corresponding boost signal2 in C++11 and later
    - Fix expected transform count in case of time tolerance
    - Upgrade all message counts to 64 bitThis should resolve C4267 warnings about downgrading a size_t.
  * Export tf2 dependency from tf2_ros (#72 <https://github.com/ros2/geometry2/issues/72>)
  * rclcpp time jump callback signature (#69 <https://github.com/ros2/geometry2/issues/69>)
  * Use ros2 time (#67 <https://github.com/ros2/geometry2/issues/67>)
  * Contributors: Carl Delsey, Ethan Gao, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 22 Nov 2018 00:00:00 -0000

ros-rolling-tf2-ros (0.5.15-1jammy) jammy; urgency=high

  * tf2_ros: add option to unregister TransformListener (#201 <https://github.com/ros/geometry2/issues/201>)
  * Contributors: Hans-Joachim Krauch

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-rolling-tf2-ros (0.5.14-1jammy) jammy; urgency=high

  * Drop roslib.load_manifest (#191 <https://github.com/ros/geometry2/issues/191>)
  * Adds ability to load TF from the ROS parameter server.
  * Code linting & reorganization
  * Fix indexing beyond end of array
  * added a static transform broadcaster in python
  * lots more documentation
  * remove BufferCore doc, add BufferClient/BufferServer doc for C++, add Buffer/BufferInterface Python documentation
  * Better overview for Python
  * Contributors: Eric Wieser, Felix Duvallet, Jackie Kay, Mikael Arguedas, Mike Purvis

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 16 Jan 2017 00:00:00 -0000

ros-rolling-tf2-ros (0.5.13-1jammy) jammy; urgency=high

  * fix documentation warnings
  * Adding tests to package
  * Contributors: Laurent GEORGE, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Mar 2016 00:00:00 -0000

ros-rolling-tf2-ros (0.5.12-1jammy) jammy; urgency=high

  * remove annoying gcc warning
    This is because the roslog macro cannot have two arguments that are
    formatting strings: we need to concatenate them first.
  * break canTransform loop only for non-tiny negative time deltas
    (At least) with Python 2 ros.Time.now() is not necessarily monotonic
    and one can experience negative time deltas (usually well below 1s)
    on real hardware under full load. This check was originally introduced
    to allow for backjumps with rosbag replays, and only there it makes sense.
    So we'll add a small duration threshold to ignore backjumps due to
    non-monotonic clocks.
  * Contributors: Vincent Rabaud, v4hn

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-rolling-tf2-ros (0.5.11-1jammy) jammy; urgency=high

  * do not short circuit waitForTransform timeout when running inside pytf. Fixes #102 <https://github.com/ros/geometry_experimental/issues/102>
    roscpp is not initialized inside pytf which means that ros::ok is not
    valid. This was causing the timer to abort immediately.
    This breaks support for pytf with respect to early breaking out of a loop re #26 <https://github.com/ros/geometry_experimental/issues/26>.
    This is conceptually broken in pytf, and is fixed in tf2_ros python implementation.
    If you want this behavior I recommend switching to the tf2 python bindings.
  * inject timeout information into error string for canTransform with timeout
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-rolling-tf2-ros (0.5.10-1jammy) jammy; urgency=high

  * switch to use a shared lock with upgrade instead of only a unique lock. For #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Update message_filter.h
  * filters: fix unsupported old messages with frame_id starting with '/'
  * Enabled tf2 documentation
  * make sure the messages get processed before testing the effects. Fixes #88 <https://github.com/ros/geometry_experimental/issues/88>
  * allowing to use message filters with PCL types
  * Contributors: Brice Rebsamen, Jackie Kay, Tully Foote, Vincent Rabaud, jmtatsch

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 21 Apr 2015 00:00:00 -0000

ros-rolling-tf2-ros (0.5.9-1jammy) jammy; urgency=high

  * changed queue_size in Python transform boradcaster to match that in c++
  * Contributors: mrath

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Mar 2015 00:00:00 -0000

ros-rolling-tf2-ros (0.5.8-1jammy) jammy; urgency=high

  * fix deadlock #79 <https://github.com/ros/geometry_experimental/issues/79>
  * break out of loop if ros is shutdown. Fixes #26 <https://github.com/ros/geometry_experimental/issues/26>
  * remove useless Makefile files
  * Fix static broadcaster with rpy args
  * Contributors: Paul Bovbel, Tully Foote, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 17 Mar 2015 00:00:00 -0000

ros-rolling-tf2-ros (0.5.7-1jammy) jammy; urgency=high

  * Added 6 param transform again
    Yes, using Euler angles is a bad habit. But it is much more convenient if you just need a rotation by 90° somewhere to set it up in Euler angles. So I added the option to supply only the 3 angles.
  * Remove tf2_py dependency for Android
  * Contributors: Achim Königs, Gary Servin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.6-1jammy) jammy; urgency=high

  * support if canTransform(...): in python #57 <https://github.com/ros/geometry_experimental/issues/57>
  * Support clearing the cache when time jumps backwards #68 <https://github.com/ros/geometry_experimental/issues/68>
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Sep 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 23 Jun 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.4-1jammy) jammy; urgency=high

  * surpressing autostart on the server objects to not incur warnings
  * switch to boost signals2 following ros/ros_comm#267 <https://github.com/ros/ros_comm/issues/267>, blocking ros/geometry#23 <https://github.com/ros/geometry/issues/23>
  * fix compilation with gcc 4.9
  * make can_transform correctly wait
  * explicitly set the publish queue size for rospy
  * Contributors: Tully Foote, Vincent Rabaud, v4hn

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 Feb 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.1-1jammy) jammy; urgency=high

  * adding const to MessageEvent data
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.5.0-1jammy) jammy; urgency=high

  * TF2 uses message events to get connection header information
  * Contributors: Kevin Watts

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-rolling-tf2-ros (0.4.10-1jammy) jammy; urgency=high

  * adding support for static transforms in python listener. Fixes #46 <https://github.com/ros/geometry_experimental/issues/46>
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Dec 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.9-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Nov 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.8-1jammy) jammy; urgency=high

  * fixing pytf failing to sleep https://github.com/ros/geometry/issues/30
  * moving python documentation to tf2_ros from tf2 to follow the code
  * Fixed static_transform_publisher duplicate check, added rostest.

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Nov 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.7-1jammy) jammy; urgency=high

  * fixing new conditional to cover the case that time has not progressed yet port forward of ros/geometry#35 <https://github.com/ros/geometry/issues/35> in the python implementation
  * fixing new conditional to cover the case that time has not progressed yet port forward of ros/geometry#35 <https://github.com/ros/geometry/issues/35>

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.6-1jammy) jammy; urgency=high

  * patching python implementation for #24 <https://github.com/ros/geometry_experimental/issues/24> as well
  * Stop waiting if time jumps backwards.  fixes #24 <https://github.com/ros/geometry_experimental/issues/24>
  * patch to work around uninitiaized time. #30 <https://github.com/ros/geometry/issues/30>
  * Removing unnecessary CATKIN_DEPENDS  #18 <https://github.com/ros/geometry_experimental/issues/18>

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.5-1jammy) jammy; urgency=high

  * Revert "cherrypicking groovy patch for #10 <https://github.com/ros/geometry_experimental/issues/10> into hydro"
    This reverts commit 296d4916706d64f719b8c1592ab60d3686f994e1.
    It was not starting up correctly.
  * fixing usage string to show quaternions and using quaternions in the test app
  * cherrypicking groovy patch for #10 <https://github.com/ros/geometry_experimental/issues/10> into hydro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 Jul 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.4-1jammy) jammy; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.
  * reviving unrun unittest and adding CATKIN_ENABLE_TESTING guards

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 09 Jul 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jul 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jul 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.1-1jammy) jammy; urgency=high

  * adding queue accessors lost in the new API
  * exposing dedicated thread logic in BufferCore and checking in Buffer
  * adding methods to enable backwards compatability for passing through to tf::Transformer

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jul 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.4.0-1jammy) jammy; urgency=high

  * splitting rospy dependency into tf2_py so tf2 is pure c++ library.
  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * converting contents of tf2_ros to be properly namespaced in the tf2_ros namespace
  * fixing return by value for tranform method without preallocatoin
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>
  * Added link against catkin_LIBRARIES for tf2_ros lib, also CMakeLists.txt clean up

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Jun 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.3.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 03 Mar 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.3.5-1jammy) jammy; urgency=high

  * 0.3.4 -> 0.3.5

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 14:46:00 -0000

ros-rolling-tf2-ros (0.3.4-1jammy) jammy; urgency=high

  * 0.3.3 -> 0.3.4

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 13:14:00 -0000

ros-rolling-tf2-ros (0.3.3-1jammy) jammy; urgency=high

  * 0.3.2 -> 0.3.3

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 11:30:00 -0000

ros-rolling-tf2-ros (0.3.2-1jammy) jammy; urgency=high

  * 0.3.1 -> 0.3.2

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 00:42:00 -0000

ros-rolling-tf2-ros (0.3.1-1jammy) jammy; urgency=high

  * 0.3.0 -> 0.3.1

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Feb 2013 00:00:00 -0000

ros-rolling-tf2-ros (0.3.0-1jammy) jammy; urgency=high

  * switching to version 0.3.0
  * Merge pull request #2 <https://github.com/ros/geometry_experimental/issues/2> from KaijenHsiao/groovy-devel
    added setup.py and catkin_python_setup() to tf2_ros
  * added setup.py and catkin_python_setup() to tf2_ros
  * fixing cmake target collisions
  * fixing catkin message dependencies
  * removing packages with missing deps
  * catkin fixes
  * catkinizing geometry-experimental
  * catkinizing tf2_ros
  * catching None result in buffer client before it becomes an AttributeError, raising tf2.TransformException instead
  * oneiric linker fixes, bump version to 0.2.3
  * fix deprecated use of Header
  * merged faust's changes 864 and 865 into non_optimized branch: BufferCore instead of Buffer in TransformListener, and added a constructor that takes a NodeHandle.
  * add buffer server binary
  * fix compilation on 32bit
  * add missing file
  * build buffer server
  * TransformListener only needs a BufferCore
  * Add TransformListener constructor that takes a NodeHandle so you can specify a callback queue to use
  * Add option to use a callback queue in the message filter
  * move the message filter to tf2_ros
  * add missing std_msgs dependency
  * missed 2 lines in last commit
  * removing auto clearing from listener for it's unexpected from a library
  * static transform tested and working
  * subscriptions to tf_static unshelved
  * static transform publisher executable running
  * latching static transform publisher
  * cleaning out old commented code
  * Only query rospy.Time.now() when the timeout is greater than 0
  * debug comments removed
  * move to tf2_ros completed. tests pass again
  * merge tf2_cpp and tf2_py into tf2_ros

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Feb 2013 00:00:00 -0000


